Joshua Stream Pre
Page 20 of 30 First ... 101819202122 ... Last
  1. #191
    Quote Originally Posted by FG_Wraith View Post
    New version 0.3.0608 has been added.

    This update was to fix the issues with the Attributes/Stats page. Negative racial modifiers being applied as positives has been fixed, and an Alert has been added if your final stats go above 20.

    I've also removed the roll X die drop Y ability for now, I'd like to know what you guys think of a house rule section, and what kind of options page would be needed for that. Right now it will be added back in and included in the options. I also have a running list of optional rules/additions suggested on the forum here. If any of those in the thread seem like a good idea to you please don't hesitate to call them out in your own post saying you would like that added as well.

    I've also added an inventory cost system that keeps a running total of the items selected. If the item has a range cost (i.e., 50-500gp) then no cost will be included. Also, if the item does not list a cost it will also not be included, obviously.

    Again, thank you all for the incredible help, and please let me know if you see any problems or have any suggestions.
    Did the roll 4 drop 1 actually get removed? I chose the Dice Roll option for stats and it seems that it still does it. Attached a screenshot.

    Roll 4 Drop Lowest.png

  2. #192
    Quote Originally Posted by FG_Wraith View Post
    Are you still getting this script error? I have tried it several times and cannot replicate it. It is related to module name appearing as a tooltip on the races/subrace buttons. It seems to indicate that a module you are loading does not have a module name.
    I am getting the same error with FGU.
    I am also only getting Dragonborn as my race choice.
    No extensions except for the Character wizard and no modules active.
    error.JPG
    Last edited by kjbrona; June 8th, 2020 at 20:46.

  3. #193
    LordEntrails's Avatar
    Join Date
    May 2015
    Location
    -7 UTC
    Posts
    12,364
    Blog Entries
    9
    Quote Originally Posted by kjbrona View Post
    I am getting the same error with FGU.
    I am also only getting Dragonborn as my race choice.
    No extensions except for the Character wizard and no modules active.
    error.JPG
    At a minimum I'm pretty sure you need at least one of either; Basic Rules, SRD, or PHB loaded.

  4. #194
    This is looking great so far, excited to let my players try this out.

    Came across an error to do with a specific module while using the Character Creator, so thought I'd report it:

    Selecting a background from the 'Ultramodern5' book causes the following error.
    Product link: https://www.fantasygrounds.com/store...PFG5EDEM201610

    "Script Error: [string "campaign/scripts/char_chargen_backgroundwin..."]:411: bad argument #1 to 'lower' (string expected, got nil)"

    Dropping the background onto a character sheet outside of the Character Creator works correctly.



    ps. Also noticed that I used to be able to select a "Ladder" on the Race page with a previous version but it does not appear anymore now.
    Last edited by Styrmir; June 9th, 2020 at 02:46.
    Extension writer, FGU Backer, Ultimate License holder.

    5E Enhancer (development and support on hold for now)

    Combat Enhancer 5E Classic (no longer officially supported, community support only)

    ps. Do not send PM's for support for the extensions I write, I will not not be able to respond there. Use the relevant forum threads instead so the community can benefit from the replies, thank you.



  5. #195
    Quote Originally Posted by FG_Wraith View Post
    Are you still getting this script error? I have tried it several times and cannot replicate it. It is related to module name appearing as a tooltip on the races/subrace buttons. It seems to indicate that a module you are loading does not have a module name.
    Thank you for your help. I updated the extension -- still get the same error in my campaign.
    I started to troubleshoot by removing other extensions and modules, in the end I took all out and still go the error (yes I also added back in some rules so it would have sources to draw from).

    I switched to a rather blank campaign and it works without the error.
    Since in my normal campaign, I get the error even with all other extensions and modules other than minimal rules removed, then I suspect maybe something in the db.xml itself in that campaign is an issue.

    Perhaps I can use a blank campaign loaded with the rules in order to run the character generator, then export and import into my other campaign.

  6. #196
    Quote Originally Posted by Rivanknight220 View Post
    Did the roll 4 drop 1 actually get removed? I chose the Dice Roll option for stats and it seems that it still does it. Attached a screenshot.

    Roll 4 Drop Lowest.png
    It still has the default 4D6 drop the lowest, but the fields to allow you to change the number of dice rolled and the number of dice dropped are gone for now.

  7. #197
    Quote Originally Posted by LordEntrails View Post
    At a minimum I'm pretty sure you need at least one of either; Basic Rules, SRD, or PHB loaded.
    This is correct.

  8. #198
    Quote Originally Posted by mshall View Post
    Thank you for your help. I updated the extension -- still get the same error in my campaign.
    I started to troubleshoot by removing other extensions and modules, in the end I took all out and still go the error (yes I also added back in some rules so it would have sources to draw from).

    I switched to a rather blank campaign and it works without the error.
    Since in my normal campaign, I get the error even with all other extensions and modules other than minimal rules removed, then I suspect maybe something in the db.xml itself in that campaign is an issue.

    Perhaps I can use a blank campaign loaded with the rules in order to run the character generator, then export and import into my other campaign.
    Would you be willing to send me that campaign folder?
    Last edited by FG_Wraith; June 9th, 2020 at 03:40.

  9. #199
    Quote Originally Posted by Styrmir View Post
    This is looking great so far, excited to let my players try this out.

    Came across an error to do with a specific module while using the Character Creator, so thought I'd report it:

    Selecting a background from the 'Ultramodern5' book causes the following error.
    Product link: https://www.fantasygrounds.com/store...PFG5EDEM201610

    "Script Error: [string "campaign/scripts/char_chargen_backgroundwin..."]:411: bad argument #1 to 'lower' (string expected, got nil)"

    Dropping the background onto a character sheet outside of the Character Creator works correctly.
    Only official Wizards of the Coast modules are supported, currently.

    Quote Originally Posted by Styrmir View Post
    ps. Also noticed that I used to be able to select a "Ladder" on the Race page with a previous version but it does not appear anymore now.
    I am not sure what you mean by a 'Ladder'.
    Last edited by FG_Wraith; June 9th, 2020 at 05:02.

  10. #200
    Quote Originally Posted by FG_Wraith View Post
    Would you be willing to send me that campaign folder?
    Yes, sure. I'll send you a message and see how I can get it to you.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
5E Character Create Playlist

Log in

Log in